/*
 * @Author: your name
 * @Date: 2022-01-06 10:05:44
 * @LastEditTime: 2022-02-28 21:31:58
 * @LastEditors: Please set LastEditors
 * @Description: 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 * @FilePath: \vue-admin-template\src\router\routes\routes-file-four.js
 */
import Layout from '@/layout'

// const auditRoutes = {
//   path: '/audit',
//   component: Layout,
//   redirect: '/dashboard',
//   hidden: true,
//   children: [
//     {
//       path: '',
//       name: 'Audit',
//       component: () => import('@/views/audit'),
//       meta: { title: '审计管理' }
//     }
//   ]
// }

const systemManagementRoutes = {
  path: '/systemManagement',
  component: Layout,
  meta: { roles: ['system_menu'], title: '系统管理' },
  children: [
    {
      path: '/systemManagement',
      name: 'systemManagement',
      component: () => import('@/views/systemManagement/index'),
      meta: {
        title: '系统管理',
        icon: 'systemManagement',
        imgstyle: 'ic_home_nav_defaul.png',
        imgstyleup: 'ic_home_nav_check.png',
        roles: ['system_basic_page']
      },
    },
    {
      path: '/LoginPolicy',
      name: 'LoginPolicy',
      component: () => import('@/views/systemManagement/LoginPolicy/index'),
      meta: {
        title: '登录策略',
        icon: 'LoginPolicy',
        imgstyle: 'ic_home_nav_defaul.png',
        imgstyleup: 'ic_home_nav_check.png',
        roles: ['system_logintac_page']
      },
    },
    {
      path: '/addSystem',
      name: 'addSystem',
      hidden: true,
      component: () => import('@/views/systemManagement/addSystem/index'),
      meta: {
        title: '新增策略信息',
        icon: 'addSystem',
        imgstyle: 'ic_home_nav_defaul.png',
        imgstyleup: 'ic_home_nav_check.png'
      },
    },
    {
      path: '/EditSystem',
      name: 'EditSystem',
      hidden: true,
      component: () => import('@/views/systemManagement/EditSystem/index'),
      meta: {
        title: '编辑策略信息',
        icon: 'EditSystem',
        imgstyle: 'ic_home_nav_defaul.png',
        imgstyleup: 'ic_home_nav_check.png'
      },
    },
    {
      path: '/dataBase/serviceManagement',
      name: 'serviceManagement',
      meta: { title: '服务管理' },
      hidden: true,
      src: require('@/assets/nav/ic_setting_top_default.png'),
      srcer: require('@/assets/nav/ic_setting_top_check.png'),
      component: () => import('@/views/systemManagement/dataBases/views/serviceManagement/serviceHome'),
    },
    {
      path: '/dataBase/serviceEdit',
      name: 'serviceEdit',
      component: () => import('@/views/systemManagement/dataBases/views/serviceManagement/serviceEdit'),
      meta: { title: '服务编辑' },
      hidden: false,
      isAlone: true,
      src: require('@/assets/nav/ic_setting_top@2x.png')
    },
    {
      path: '/dataBase/protocolManagement',
      name: 'protocolManagement',
      component: () => import('@/views/systemManagement/dataBases/views/protocolManagement/protocolHome'),
      meta: { title: '协议管理' },
      hidden: true,
      src: require('@/assets/nav/ic_setting_top_default.png'),
      srcer: require('@/assets/nav/ic_setting_top_check.png')
    },
    // {
    //   path: '/systemSettings/machineManagement',
    //   name: 'machineManagement',
    //   component: () => import('@/views/systemSettings/views/machineManagement/machineHome'),
    //   meta: { title: '机器维护' },
    //   hidden: true,
    //   src: require('@/assets/nav/ic_setting_top_default.png'),
    //   srcer: require('@/assets/nav/ic_setting_top_check.png')
    // },
    {
      path: '/dataBase/queryTemplate',
      name: 'queryTemplate',
      meta: { title: '查询模板' },
      hidden: true,
      src: require('@/assets/nav/ic_setting_top_default.png'),
      srcer: require('@/assets/nav/ic_setting_top_check.png'),
      component: () => import('@/views/systemManagement/dataBases/views/queryTemplate/queryTemplate'),
    },
    {
      path: '/dataBase/queryTemplateChild',
      name: 'queryTemplateChild',
      component: () => import('@/views/systemManagement/dataBases/views/queryTemplate/queryTemplateChild'),
      meta: { title: '查询项设置' },
      hidden: false,
      isAlone: true,
      src: require('@/assets/nav/ic_setting_top@2x.png')
    },
    {
      path: '/dataBase/datastructure',
      name: 'datastructure',
      component: { render (c) { return c('router-view') } },
      meta: { title: '数据结构' },
      hidden: true,
      src: require('@/assets/nav/ic_setting_top_default.png'),
      srcer: require('@/assets/nav/ic_setting_top_check.png'),
      component: () => import('@/views/systemManagement/dataBases/views/datastructure/datastructureHome'),
    },
    {
      path: '/dataBase/datastructureChild',
      name: 'datastructureChild',
      component: () => import('@/views/systemManagement/dataBases/views/datastructure/datastructureChild'),
      meta: { title: '数据项' },
      hidden: false,
      isAlone: true,
      src: require('@/assets/nav/ic_setting_top@2x.png')
    },
    // {
    //   path: '/systemSettings/dataStructureItem',
    //   name: 'dataStructureItem',
    //   component: () => import('@/views/systemSettings/views/dataStructureItem/dataStructureItemHome'),
    //   meta: { title: '数据结构项' },
    //   hidden: true,
    //   src: require('@/assets/nav/ic_setting_top_default.png'),
    //   srcer: require('@/assets/nav/ic_setting_top_check.png')
    // },
    {
      path: '/dataBase/sourceservice',
      name: 'sourceservice',
      component: () => import('@/views/systemManagement/dataBases/views/sourceservice/sourceserviceHome'),
      meta: { title: '数据源服务' },
      hidden: true,
      src: require('@/assets/nav/ic_setting_top_default.png'),
      srcer: require('@/assets/nav/ic_setting_top_check.png')
    },
    {
      path: '/dataBase/log',
      name: 'log',
      component: () => import('@/views/systemManagement/dataBases/views/log'),
      meta: { title: '日志查询' },
      hidden: true,
      src: require('@/assets/nav/ic_setting_top_default.png'),
      srcer: require('@/assets/nav/ic_setting_top_check.png')
    },
    // {
    //   path: '/systemSettings/servicedeployment',
    //   name: 'servicedeployment',
    //   component: () => import('@/views/systemSettings/views/servicedeployment/servicedeploymentHome'),
    //   meta: { title: '服务部署' },
    //   hidden: true,
    //   src: require('@/assets/nav/ic_setting_top_default.png'),
    //   srcer: require('@/assets/nav/ic_setting_top_check.png')
    // },

    // {
    //   path: '/systemSettings/queryItemSettings',
    //   name: 'queryItemSettings',
    //   component: () => import('@/views/systemSettings/views/queryItemSettings/queryItemSettingsHome'),
    //   meta: { title: '查询项设置' },
    //   hidden: true,
    //   src: require('@/assets/nav/ic_setting_top_default.png'),
    //   srcer: require('@/assets/nav/ic_setting_top_check.png')
    // },
  ]
}

export default [
  // auditRoutes,
  systemManagementRoutes
]
